/*!
* \file AffichageConsole.h
* \brief Fichier contenant les signatures des fonctions liees a la structure competence.
*/

#ifndef COMPETENCE_H_INCLUDED
#define COMPETENCE_H_INCLUDED
#include "competence.h"

/* Fonctions */

int init_Competence(Competence *noeud);

int taille(Competence *noeud);

unsigned int NbEnfants(Competence *noeud);

unsigned int hauteur(Competence *noeud);


Competence* construire_arbre_competence(Competence* a);

int rafraichir_competences(Competence * a);

boolean est_connue(Competence *c);

boolean est_complet(Competence *a);

Effet_Competence * get_effet(Competence *c);

int chemin_auto_competence(Competence* c);

#endif
